rootProject.buildDir = '../build'

allprojects {
    repositories {
        maven { url 'https://maven.aliyun.com/repository/google' }
        maven { url 'https://maven.aliyun.com/repository/central' }
        maven { url 'https://storage.googleapis.com/download.flutter.io' }
        google()
        mavenCentral()
    }
}

subprojects {
    project.buildDir = "${rootProject.buildDir}/${project.name}"
}

tasks.register('clean', Delete) {
    delete rootProject.buildDir
}
